import jcontrol.ui.vole.Frame;
import jcontrol.ui.vole.menu.MenuBar;

/**
 * <p>This example demonstrates how to use the
 * component MenuBar within the GUI framework
 * JControl/Vole.</p>
 *
 * <p>(C) DOMOLOGIC Home Automation GmbH 2003-2005</p>
 */
public class VoleMenuBarExample extends Frame {
  
  /**
   * Create and show a MenuBar.
   */
  public VoleMenuBarExample() {

    // create the MenuBar 
    MenuBar menu = new MenuBar(0, 0, 128, 64, MenuBar.ALIGN_BOTTOM);
    
    // add some menu items
    menu.addMenuItem("Red");
    menu.addMenuItem("Green");
    menu.addMenuItem("White");
    menu.addMenuItem("Blue");
    menu.addMenuItem("Cyan");
    menu.addMenuItem("Black");
    menu.addMenuItem("Gray");
    menu.addMenuItem("Orange");
    
    // add the menu bar to the Frame
    this.setMenu(menu);
    
    // disable a menu item
    menu.enableMenuItem("White", false);

    // show the frame    
    setVisible(true);    
  }

  /**
   * Instantiate the VoleMenuBarExample
   */
  public static void main(String[] args) {
    new VoleMenuBarExample();    
  }
}
