import jcontrol.ui.vole.Frame;
import jcontrol.ui.vole.Label;
import jcontrol.ui.vole.ScrollBar;
import jcontrol.ui.vole.Slider;

/**
 * <p>This example demonstrates how to use the
 * components Slider and ScrollBar within the
 * GUI framework JControl/Vole.</p>
 *
 * <p>(C) DOMOLOGIC Home Automation GmbH 2003-2005</p>
 */
public class VoleSliderScrollbarExample extends Frame {
  
  /**
   * Create a Slider and a ScrollBar 
   */
  public VoleSliderScrollbarExample() {
    // Create and add the Slider 
    Slider slider = new Slider(5, 30, 80, 0, 20, 1);
    this.add(slider);
    
    // Create and add the ScrollBar
    ScrollBar sb = new ScrollBar(110, 0, 64, 
                                 ScrollBar.ORIENTATION_VERTICAL);
    sb.setValue(30);
    this.add(sb);
    
    // Add a text label
    Label l = new Label("Slider Demo", 5, 10);
    this.add(l); 
  }


  /**
   * Instantiate the VoleSliderScrollbarExample
   */
  public static void main(String[] args) {
    new VoleSliderScrollbarExample().show();
  }
}
